import 'package:flutter/material.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'screens/viewer_screen.dart';
import 'l10n/app_localizations.dart';

class ImajViewerApp extends StatelessWidget {
  final List<String> initialFiles;

  const ImajViewerApp({super.key, this.initialFiles = const []});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'imajViewer',
      debugShowCheckedModeBanner: false,
      localizationsDelegates: AppLocalizations.localizationsDelegates,
      supportedLocales: AppLocalizations.supportedLocales,
      theme: ThemeData(
        brightness: Brightness.dark,
        scaffoldBackgroundColor: const Color(0xFF1a1a1a),
        colorScheme: ColorScheme.fromSwatch(
          brightness: Brightness.dark,
        ),
      ),
      home: ViewerScreen(initialFiles: initialFiles),
    );
  }
}
